Bug 39390 - packages have dangling symlinks
Summary: packages have dangling symlinks
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution   
(Show other bugs)
Version: 7.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Powers
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-05-07 14:46 UTC by Steve Snyder
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-06 15:33:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Snyder 2001-05-07 14:46:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-2smp i686; en-US; 0.7)
Gecko/20010503

Description of problem:
As part of the RedHat v7.1 installation many dangling symlinks are created.

How reproducible:
Didn't try

Steps to Reproduce:
1. Install RedHat Linux v7.1
2. After initial boot, run this command:

	symlinks -tr / | grep dangling

	

Actual Results:  dangling: /var/lib/wnn6 -> /usr/local/OMRONWnn6/wnn6linux
dangling: /usr/share/doc/db3-devel-3.1.17/examples_c/tags -> ../dist/tags
dangling: /usr/share/doc/db3-devel-3.1.17/examples_cxx/tags -> ../dist/tags
dangling: /usr/share/doc/ltrace-0.3.10/ChangeLog -> debian/changelog
dangling: /usr/share/doc/screen-3.9.8/FAQ -> doc/FAQ
dangling: /usr/lib/libgdk_pixbuf_xlib-1.3.so -> libgdk_pixbuf_xlib-1.3.so.0.0.0
dangling: /lib/modules/2.4.2-2smp/build -> ../../../usr/src/linux-2.4.2
dangling: /lib/modules/2.4.2-2/build -> ../../../usr/src/linux-2.4.2

Expected Results:  No dangling symlinks should have been found.

Additional info:

Note that this installation was done buy selecting All packages for
installation, then deselecting the kernel-doc and kernel-source packages.
The absence of the Linux source files means the absence of a Linux source
directory, which in turn explains those last 2 bad symlinks
(../../../usr/src/linux-2.4.2).

This was seen on a dual Pentium III/850 system with 512MB of RAM.

Comment 1 Brent Fox 2001-05-07 19:28:08 UTC
I've verified this problem.

Comment 2 Brent Fox 2001-05-15 02:14:34 UTC
I think that this is more of a packaging problem...changing component to
distribution.

Comment 3 Preston Brown 2001-07-06 15:27:04 UTC
tim, can you do a fresh test of this sort on our beta trees, and then send out notices to 
anyone who owns packages with dangling symlinks?


Comment 4 Tim Powers 2001-07-06 15:33:30 UTC
Yes. I'll do that on the next test install that I do.

Tim

Comment 5 Tim Powers 2001-10-01 14:51:30 UTC
These have all been resolved. Closing -> rawhide.

Tim


Note You need to log in before you can comment on or make changes to this bug.